Package: org.codehaus.groovy.reflection

## [Java] Class CachedConstructor

- org.codehaus.groovy.reflection.CachedConstructor

- Authors:
    Alex.Tkachman

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Constructor` | `cachedConstructor` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedConstructor (CachedClass clazz, Constructor c)`
    `CachedConstructor (Constructor c)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Object` | `doConstructorInvoke(Object[] argumentArray)`
    `static CachedConstructor` | `find(Constructor constructor)`
    `CachedClass` | `getCachedClass()`
    `int` | `getModifiers()`
    `protected Class[]` | `getPT()`
    `Object` | `invoke(Object[] argumentArray)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public final Constructor cachedConstructor

  - ### Constructor Detail

    - #### public CachedConstructor(CachedClass clazz, Constructor c)

    - #### public CachedConstructor(Constructor c)

  - ### Method Detail

    - #### public Object doConstructorInvoke(Object[] argumentArray)

    - #### public static CachedConstructor find(Constructor constructor)

    - #### public CachedClass getCachedClass()

    - #### public int getModifiers()

    - #### protected Class[] getPT()

    - #### public Object invoke(Object[] argumentArray)